* {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

    *:before,
    *:after {
        -webkit-box-sizing: content-box;
        -moz-box-sizing: content-box;
        box-sizing: content-box;
    }

body {
    min-height: 100%;
    height: 100%;
    background-image: url(../img/vdmbg.png);
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif;
    margin: 0;
}

.vdmDesktop {
    position: absolute;
    top: 0px;
    bottom: 0px;
    left: 0px;
    right: 0px;
    display: flex;
    flex-flow: column;
    overflow: hidden;
    color: #ffffff !important;
    margin: 0 auto;
    line-height: 20px;
    font-style: normal;
}

button {
    line-height: 20px;
}

textarea {
    border-radius: 4px;
}

.vdmTopBar {
    background-color: #000;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    height: 32px;
    display: table;
}

    .vdmTopBar .topMenu {
        position: absolute;
        margin: 3px;
        padding-left: 10px;
        border: 0;
        border-radius: 6px;
        width: 175px;
        line-height: 24px;
        z-index: 9999;
    }

        .vdmTopBar .topMenu .dropButton {
            position: relative;
            display: block;
            background: #31AD35;
            border-color: #95CE92;
            text-align: center;
            font-size: 20px;
            color: #FFF;
            border-radius: 6px;
            width: 75px;
        }

            .vdmTopBar .topMenu .dropButton:hover {
                background: #51CD55;
                cursor: default;
            }

            .vdmTopBar .topMenu .dropButton:focus {
                outline: none;
            }

        .vdmTopBar .topMenu .dropMenu {
            display: none;
            border: 2px solid #000;
            border-radius: 6px;
            line-height: 20px;
        }

        .vdmTopBar .topMenu button:focus + ul.dropMenu,
        .vdmTopBar .topMenu ul.dropMenu:hover {
            display: block;
        }

        .vdmTopBar .topMenu ul.dropMenu {
            background-color: #F3F3F3;
        }

        .vdmTopBar .topMenu .dropMenu,
        .vdmTopBar .topMenu .dropMenu ul,
        .vdmTopBar .topMenu .dropMenu li,
        .vdmTopBar .topMenu .dropMenu > li > span {
            padding: 0;
            margin: 0;
            color: #000;
            font-weight: normal;
            font-size: 14px;
        }

            .vdmTopBar .topMenu .dropMenu,
            .vdmTopBar .topMenu .dropMenu ul {
                list-style: none;
            }

                .vdmTopBar .topMenu .dropMenu > li,
                .vdmTopBar .topMenu .dropMenu > li > span {
                    position: relative;
                    display: block;
                }

                    .vdmTopBar .topMenu .dropMenu > li > span,
                    .vdmTopBar .topMenu .dropMenu > li > span:hover,
                    .vdmTopBar .topMenu .dropMenu > li > span:focus,
                    .vdmTopBar .topMenu .dropMenu > li > span:active {
                        text-decoration: none;
                    }

                .vdmTopBar .topMenu .dropMenu ul {
                }

                .vdmTopBar .topMenu .dropMenu > li > span {
                    padding: 4px;
                }

                .vdmTopBar .topMenu .dropMenu li > span > span {
                    position: absolute;
                    left: 22px;
                }

                .vdmTopBar .topMenu .dropMenu > li.active > span > span {
                }

                .vdmTopBar .topMenu .dropMenu > li:hover > span,
                .vdmTopBar .topMenu .dropMenu > li:focus > span {
                    background-color: rgba(0, 0, 0, 0.1);
                    outline: none;
                    -webkit-box-shadow: none;
                    box-shadow: none;
                }

                .vdmTopBar .topMenu .dropMenu > li ul {
                    border-radius: 4px;
                    border: 2px solid #000;
                }

                .vdmTopBar .topMenu .dropMenu.affix {
                    position: fixed;
                    width: 250px;
                    overflow-x: hidden;
                    overflow-y: hidden;
                    -webkit-overflow-scrolling: touch;
                }

                    .vdmTopBar .topMenu .dropMenu.affix:hover {
                        overflow-y: scroll;
                    }

                .vdmTopBar .topMenu .dropMenu .nav-header {
                    padding: 3px 15px !important;
                    text-transform: uppercase;
                    font-weight: bold;
                    font-size: 12px;
                    border-top: 1px solid rgba(0, 0, 0, 0.1);
                    -webkit-box-shadow: 0px 1px 0px rgba(255, 255, 255, 0.05) inset;
                    box-shadow: 0px 1px 0px rgba(255, 255, 255, 0.05) inset;
                    text-shadow: 0px 1px 0px rgba(0, 0, 0, 0.5);
                    background: rgba(0, 0, 0, 0.1);
                    margin: 0;
                    color: #ffffff !important;
                }

                .vdmTopBar .topMenu .dropMenu .nav-button {
                    background: #222;
                    margin: 0;
                    color: #ffffff !important;
                    -webkit-box-shadow: 0px 1px 3px #333 inset;
                    box-shadow: 0px 1px 3px #333 inset;
                }

                .vdmTopBar .topMenu .dropMenu .nav-divider {
                    height: 1rem;
                    margin: 0;
                    background: #484848;
                    -webkit-box-shadow: 0px 1px 3px #222 inset;
                    box-shadow: 0px 1px 3px #222 inset;
                }

                .vdmTopBar .topMenu .dropMenu .nav-last {
                    height: 3px;
                    margin: 0;
                    background: #585858;
                    -webkit-box-shadow: 0px 1px 3px #333 inset;
                    box-shadow: 0px 1px 2px #333 inset;
                }

                .vdmTopBar .topMenu .dropMenu .fa.arrow {
                    float: right;
                    padding-top: 3px;
                    margin-right: 15px;
                }

                    .vdmTopBar .topMenu .dropMenu .fa.arrow:before {
                        content: "\f104";
                    }

                .vdmTopBar .topMenu .dropMenu .active > span > .fa.arrow:before {
                    content: "\f107";
                }

    .vdmTopBar .vdmTitle {
        text-align: center;
        font-size: 18px;
        display: table-cell;
        vertical-align: middle;
    }

.vdmled {
    width: 12px;
    height: 12px;
    border-radius: 50%;
    display: inline-flex;
}

    .vdmled.red {
        background-color: #F00;
        box-shadow: #000 0 -1px 7px 1px, inset #600 0 -1px 9px, #F00 0 2px 12px;
    }

    .vdmled.yellow {
        background-color: #A90;
        box-shadow: #000 0 -1px 7px 1px, inset #660 0 -1px 9px, #DD0 0 2px 12px;
    }

    .vdmled.green {
        background-color: #00FF00;
        box-shadow: #000 0 -1px 7px 1px, inset #252 0 -1px 9px, #7D0 0 2px 12px;
    }

    .vdmled.blue {
        background-color: #4AB;
        box-shadow: #000 0 -1px 7px 1px, inset #006 0 -1px 9px, #06F 0 2px 14px;
    }

.vdmWindows {
    display: block;
    position: relative;
    flex-grow: 1;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.vdmWindow {
    display: block;
    overflow: hidden;
    position: absolute;
    top: 64px;
    left: 210px;
    width: 400px;
    height: 300px;
    border: 2px solid #222;
    background: #DDD;
    border-radius: 6px;
}

    .vdmWindow .vdmWindowHeader {
        position: absolute;
        top: 0;
        overflow: hidden;
        background-color: #4F6CB8;
        height: 18px;
        line-height: 18px;
        width: 100%;
        vertical-align: middle;
        z-index: 1;
    }

    .vdmWindow .dwConfig {
        background-color: #58583A;
    }

    .vdmWindow .vdmWindowHeader {
        background-color: #646474;
    }

    .vdmWindow.active .vdmWindowHeader {
        background-color: #4F6CB8;
    }

    .vdmWindow .vdmWindowHeader .title {
        position: absolute;
        left: 10px;
        font-size: 12px;
        font-weight: bold;
        color: #fff;
    }

    .vdmWindow .vdmWindowHeader .ctrls {
        position: absolute;
        right: 4px;
        top: -2px;
    }

        .vdmWindow .vdmWindowHeader .ctrls span {
            text-decoration: none;
            font-size: 14px;
            font-weight: bold;
            color: #FF4444;
        }

            .vdmWindow .vdmWindowHeader .ctrls span:hover {
                cursor: pointer;
            }

    .vdmWindow .vdmWindowMenu {
        position: absolute;
        top: 18px;
        overflow: visible;
        width: 100%;
        background-image: -webkit-linear-gradient(top,#f5f5f5,#cfd1cf);
    }

        .vdmWindow .vdmWindowMenu ul {
            border: 1px solid #b6b6b6;
            /* box-shadow: 0 1px 0 #fff inset; */
            height: 20px;
            list-style: none outside none;
            margin: 0;
            padding-left: 8px;
            z-index: 3;
        }

            .vdmWindow .vdmWindowMenu ul > li > ul {
                background-color: #E8E8E8;
                border: 1px solid #b6b6b6;
                display: none;
                height: auto;
                left: 0;
                padding: 0;
                position: absolute;
                top: 17px;
                width: 125px;
            }

            .vdmWindow .vdmWindowMenu ul > li {
                float: left;
                margin-right: 1px;
                position: relative;
            }

                .vdmWindow .vdmWindowMenu ul > li.searchBox {
                    float: right;
                }

                    .vdmWindow .vdmWindowMenu ul > li.searchBox > div {
                        display: inline;
                        color: #000;
                        font-size: 12px;
                        font-weight: bold;
                    }

                    .vdmWindow .vdmWindowMenu ul > li.searchBox > input {
                        margin-top: 1px;
                        margin-right: 1px;
                        color: #000;
                        font-size: 11px;
                        vertical-align: top;
                        border-width: 1px;
                        text-align: center;
                        line-height: 14px;
                        width: 200px;
                    }

                        .vdmWindow .vdmWindowMenu ul > li.searchBox > input:focus {
                            background-color: aqua;
                        }

                .vdmWindow .vdmWindowMenu ul > li.queryBox {
                    float: right;
                }

                    .vdmWindow .vdmWindowMenu ul > li.queryBox > div {
                        display: inline;
                        color: #000;
                        font-size: 12px;
                        font-weight: bold;
                    }

                    .vdmWindow .vdmWindowMenu ul > li.queryBox > textarea {
                        margin-right: 1px;
                        color: #000;
                        font-size: 11px;
                        vertical-align: top;
                        border-width: 1px;
                        text-align: left;
                        line-height: 14px;
                        padding: 2px;
                        width: 350px;
                        height: 19px;
                        resize: none;
                    }

                        .vdmWindow .vdmWindowMenu ul > li.queryBox > textarea:focus {
                            background-color: aqua;
                            height: 100px;
                        }

                .vdmWindow .vdmWindowMenu ul > li > span {
                    border: 1px solid transparent;
                    color: #000;
                    cursor: default;
                    display: block;
                    font: 11px Tahoma,Arial;
                    padding: 1px 14px 1px 3px;
                    position: relative;
                    z-index: 3;
                }

                .vdmWindow .vdmWindowMenu ul > li > ul > li {
                    float: none;
                    margin-right: 0;
                    padding: 1px;
                    text-indent: 10px;
                }

            .vdmWindow .vdmWindowMenu ul ul li span {
                border: 1px solid transparent;
                padding: 3px 3px 5px 2px;
            }

                .vdmWindow .vdmWindowMenu ul ul li span img {
                    border-width: 0;
                    float: left;
                    margin-right: 5px;
                    vertical-align: middle;
                }

            .vdmWindow .vdmWindowMenu ul li:hover > span,
            .vdmWindow .vdmWindowMenu ul li span:focus {
                background-color: #FFF2C8;
                border: 1px solid #BDB288;
                color: #000;
            }

        .vdmWindow .vdmWindowMenu img.close {
            display: none;
            height: 100%;
            left: 0;
            position: fixed;
            top: 0;
            width: 100%;
            z-index: -1;
        }

        .vdmWindow .vdmWindowMenu ul li span:focus + ul,
        .vdmWindow .vdmWindowMenu ul li ul:hover,
        .vdmWindow .vdmWindowMenu ul:hover + img.close {
            display: block;
        }

            .vdmWindow .vdmWindowMenu ul li span:focus,
            .vdmWindow .vdmWindowMenu ul li ul:hover > span {
                outline: 0;
                padding-bottom: 2px;
                border: 1px solid #888;
                border-bottom: 1px solid #E8E8E8;
                background-color: #B6B6B6;
            }

    .vdmWindow .vdmWindowData {
        position: absolute;
        overflow: hidden;
        background: #fff;
        width: 100%;
        top: 40px;
        bottom: 17px;
        color: #222;
        z-index: 2;
    }

        .vdmWindow .vdmWindowData input,
        .vdmWindow .vdmWindowData select {
            color: #000;
            font-size: 11px;
            vertical-align: top;
            border-width: 1px;
            line-height: 14px;
            width: initial;
            height: initial;
            padding: 1px;
            border-radius: 0;
        }

    .vdmWindow ul {
        margin: 0;
    }

    .vdmWindow .vdmWindowData::-webkit-scrollbar {
        -webkit-appearance: none;
    }

        .vdmWindow .vdmWindowData::-webkit-scrollbar:vertical {
            width: 11px;
        }

        .vdmWindow .vdmWindowData::-webkit-scrollbar:horizontal {
            height: 11px;
        }

    .vdmWindow .vdmWindowData::-webkit-scrollbar-thumb {
        border-radius: 8px;
        border: 1px solid white;
        background-color: rgba(64, 64, 64, .5);
    }

    .vdmWindow .vdmWindowData .dwPane {
        display: none;
    }

        .vdmWindow .vdmWindowData .dwPane.selected {
            display: block;
        }

    .vdmWindow .vdmWindowData .dwData-LeftPane {
        position: absolute;
        top: 0;
        left: 0;
        width: 110px;
        height: 100%;
        border-right: 1px solid #BBB;
        overflow-y: auto;
        -webkit-user-select: none;
        -khtml-user-select: none;
        -moz-user-select: none;
        -o-user-select: none;
        user-select: none;
    }

    .vdmWindow .vdmWindowData .dwData::-webkit-scrollbar {
        -webkit-appearance: none;
    }

        .vdmWindow .vdmWindowData .dwData::-webkit-scrollbar:vertical {
            width: 11px;
        }

        .vdmWindow .vdmWindowData .dwData::-webkit-scrollbar:horizontal {
            height: 11px;
        }

    .vdmWindow .vdmWindowData .dwData::-webkit-scrollbar-thumb {
        border-radius: 8px;
        border: 1px solid white;
        background-color: rgba(64, 64, 64, .5);
    }

    .vdmWindow .vdmWindowData .dwData-VDiv {
        position: absolute;
        top: 0;
        left: 110px;
        width: 4px;
        height: 100%;
        background: #DDD;
        cursor: col-resize;
    }

    .vdmWindow .vdmWindowData .dwData-RightPane {
        position: absolute;
        top: 0;
        left: 114px;
        right: 0;
        height: 100%;
        border-left: 1px solid #BBB;
    }

    .vdmWindow .vdmWindowData .dwData-TopPane {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 110px;
        border-bottom: 1px solid #BBB;
        overflow-y: auto;
        -webkit-user-select: none;
        -moz-user-select: none;
        user-select: none;
    }

    .vdmWindow .vdmWindowData .dwData-HDiv {
        position: absolute;
        top: 110px;
        left: 0;
        height: 4px;
        width: 100%;
        background: #DDD;
        cursor: row-resize;
    }

    .vdmWindow .vdmWindowData .dwData-BottomPane {
        position: absolute;
        top: 114px;
        left: 0;
        bottom: 0;
        width: 100%;
        border-top: 1px solid #BBB;
    }

    .vdmWindow .vdmWindowData .stripeTable {
        overflow-y: auto;
    }

        .vdmWindow .vdmWindowData .stripeTable table {
            width: 100%;
        }

            .vdmWindow .vdmWindowData .stripeTable table thead {
                display: table-header-group;
            }

                .vdmWindow .vdmWindowData .stripeTable table thead th {
                    position: sticky;
                    top: 0;
                    background-color: #999999;
                    line-height: 1;
                    font-size: 11px;
                    display: table-cell;
                }

                .vdmWindow .vdmWindowData .stripeTable table thead tr {
                    display: table-row;
                }

            .vdmWindow .vdmWindowData .stripeTable table tr td {
                line-height: 1;
                font-size: 10px;
                vertical-align: top;
                display: table-cell;
                user-select: text;
            }

                .vdmWindow .vdmWindowData .stripeTable table tr td span {
                    padding: 3px;
                }

            .vdmWindow .vdmWindowData .stripeTable table tr:nth-child(odd) td {
                background-color: #FFF;
            }

            .vdmWindow .vdmWindowData .stripeTable table tr:nth-child(even) td {
                background-color: #EEE;
            }

    .vdmWindow .vdmWindowFooter {
        position: absolute;
        bottom: 0;
        border-top: 1px solid #222;
        background: rgba(80, 80, 80, 0.5);
        background: #CACACA;
        overflow: hidden;
        height: 16px;
        line-height: normal;
        width: 100%;
        font-size: 14px;
        z-index: 1;
    }

        .vdmWindow .vdmWindowFooter .sizeReport {
            font-size: 10px;
            font-weight: bold;
            color: #000;
            position: absolute;
            left: 10px;
            top: 0px;
        }

        .vdmWindow .vdmWindowFooter .resize {
            color: #fff;
            padding-top: 2px;
            padding-left: 2px;
            background: #222;
            position: absolute;
            right: -7px;
            bottom: -14px;
            width: 20px;
            height: 26px;
            cursor: se-resize;
            -ms-transform: rotate(45deg); /* IE 9 */
            -webkit-transform: rotate(45deg); /* Chrome, Safari, Opera */
            transform: rotate(45deg);
        }

            .vdmWindow .vdmWindowFooter .resize a,
            .vdmWindow .vdmWindowFooter .resize a:visited {
                text-decoration: none;
                color: #ddd;
            }

    .vdmWindow .vdmWindowPopover {
        display: none;
        position: absolute;
        width: 100%;
        height: 100%;
        z-index: 100;
        top: 18px;
        left: 0;
        color: #444;
        background-color: rgba(0, 0, 0, 0.7);
    }

        .vdmWindow .vdmWindowPopover .popoverbox {
            border: 2px solid #222;
            background: #DDD;
            border-radius: 6px;
            margin: 0 auto;
            position: relative;
            height: auto;
            width: 40%;
            top: 30%;
            text-align: center;
            font-size: 20px;
            line-height: 2;
        }

            .vdmWindow .vdmWindowPopover .popoverbox:focus {
                outline-width: 0;
            }

.loginPopover {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 10000;
    top: 0;
    left: 0;
    color: #444;
    background-color: rgba(0, 0, 0, 0.7);
}

    .loginPopover .loginForm {
        position: absolute;
        left: 50%;
        top: 40%;
        transform: translate(-50%, -50%);
        -webkit-transform: translate(-50%, -50%);
        background: #EEE;
        display: table;
        table-layout: fixed;
        -webkit-border-radius: 10px;
        -moz-border-radius: 10px;
        border-radius: 10px;
        padding: 10px;
        font-size: 12px;
    }

        .loginPopover .loginForm .row {
            display: table-row;
        }

        .loginPopover .loginForm .cell {
            display: table-cell;
            text-align: left;
            padding: 2px;
            vertical-align: middle;
        }

        .loginPopover .loginForm .response {
            color: #D00;
        }

.btn-group > span > i:after {
    content: " ";
    display: table;
}

ul.vdm-CollapseTree {
    list-style: none outside none;
    padding-left: 5px;
}

    ul.vdm-CollapseTree li {
        list-style: none;
    }

        ul.vdm-CollapseTree li > span {
            line-height: 20px;
            font-size: 11px;
            padding-top: 1px;
            font-weight: normal;
            text-decoration: none;
            color: #3B4C56;
            cursor: pointer;
        }

    ul.vdm-CollapseTree > li > span {
        display: block;
        position: relative;
    }

    ul.vdm-CollapseTree li.parent > span {
        padding: 0 0 0 18px;
    }

        ul.vdm-CollapseTree li.parent > span:before {
            background-image: url("../img/expand-small-blue.png");
            content: "";
            display: block;
            height: 12px;
            left: 0;
            position: absolute;
            top: 4px;
            vertical-align: middle;
            width: 12px;
        }

    ul.vdm-CollapseTree li.active > span:before {
        background-image: url("../img/collapse-small-blue.png");
    }

    ul.vdm-CollapseTree li ul {
        border-left: 1px solid #D9DADB;
        display: none;
        margin: 0 0 0 6px;
        overflow: hidden;
        padding: 0 0 0 8px;
    }

        ul.vdm-CollapseTree li ul li {
            position: relative;
            line-height: 18px;
        }

            ul.vdm-CollapseTree li ul li:before {
                border-bottom: 1px dashed #E2E2E3;
                content: "";
                left: -20px;
                position: absolute;
                top: 12px;
                width: 15px;
            }

table {
    border-collapse: collapse;
}

a {
    color: #007bff;
    text-decoration: none;
    background-color: transparent;
}
